#ifndef ABSTRACTBYTEBUFFER_HPP_INCLUDED
#define ABSTRACTBYTEBUFFER_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"

namespace Internal
{
    class AbstractByteBuffer : public Object
    {
        public:
            AbstractByteBuffer();
            AbstractByteBuffer(const void* Obj);
            AbstractByteBuffer(const AbstractByteBuffer& A);
            static Class GetClass();

    };
}

#endif // ABSTRACTBYTEBUFFER_HPP_INCLUDED
